Package org.apache.cayenne.dba.firebird

## Class FirebirdActionBuilder

- java.lang.Object
- - org.apache.cayenne.dba.JdbcActionBuilder
  - - org.apache.cayenne.dba.firebird.FirebirdActionBuilder

- All Implemented Interfaces:
    `SQLActionVisitor`

      public class FirebirdActionBuilder
      extends JdbcActionBuilder

  Since:
    4.1

- - ### Field Summary

    - ### Fields inherited from class org.apache.cayenne.dba.JdbcActionBuilder

      `dataNode`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FirebirdActionBuilder​(DataNode dataNode)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<T> SQLAction` | `objectSelectAction​(FluentSelect<T> query)` | Creates an action to execute a FluentSelect.
    `<T> SQLAction` | `objectSelectAction​(SelectQuery<T> query)` | Creates an action to execute a SelectQuery.

    - ### Methods inherited from class org.apache.cayenne.dba.JdbcActionBuilder

      `batchAction, ejbqlAction, procedureAction, sqlAction`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FirebirdActionBuilder

          public FirebirdActionBuilder​(DataNode dataNode)

  - ### Method Detail

    - #### objectSelectAction

          public <T> SQLAction objectSelectAction​(SelectQuery<T> query)

      Description copied from interface: `SQLActionVisitor`
      Creates an action to execute a SelectQuery.
      Specified by:
        `objectSelectAction` in interface `SQLActionVisitor`
      Overrides:
        `objectSelectAction` in class `JdbcActionBuilder`

    - #### objectSelectAction

          public <T> SQLAction objectSelectAction​(FluentSelect<T> query)

      Description copied from interface: `SQLActionVisitor`
      Creates an action to execute a FluentSelect.
      Specified by:
        `objectSelectAction` in interface `SQLActionVisitor`
      Overrides:
        `objectSelectAction` in class `JdbcActionBuilder`
      Since:
        4.2